Package org.drinkless.tdlib

# Class TdApi.ChatBoostLevelFeatures

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatBoostLevelFeatures

Enclosing class:
  `TdApi`

public static class TdApi.ChatBoostLevelFeatures extends TdApi.Object
Contains a list of features available on a specific chat boost level.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accentColorCount`
  Number of custom colors for background of empty chat photo, replies to messages and link previews.
  `boolean`
  `canDisableSponsoredMessages`
  True, if sponsored messages can be disabled in the chat.
  `boolean`
  `canEnableAutomaticTranslation`
  True, if automatic translation of messages can be enabled in the chat.
  `boolean`
  `canRecognizeSpeech`
  True, if speech recognition can be used for video note and voice note messages by all users.
  `boolean`
  `canSetBackgroundCustomEmoji`
  True, if custom emoji for reply header and link preview background can be set.
  `boolean`
  `canSetCustomBackground`
  True, if custom background can be set in the chat for all users.
  `boolean`
  `canSetCustomEmojiStickerSet`
  True, if custom emoji sticker set can be set for the chat.
  `boolean`
  `canSetEmojiStatus`
  True, if emoji status can be set.
  `boolean`
  `canSetProfileBackgroundCustomEmoji`
  True, if custom emoji for profile background can be set.
  `int`
  `chatThemeBackgroundCount`
  Number of chat theme backgrounds that can be set as chat background.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `customEmojiReactionCount`
  Number of custom emoji reactions that can be added to the list of available reactions.
  `int`
  `level`
  Target chat boost level.
  `int`
  `profileAccentColorCount`
  Number of custom colors for profile photo background.
  `int`
  `storyPerDayCount`
  Number of stories that the chat can publish daily.
  `int`
  `titleColorCount`
  Number of custom colors for chat title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatBoostLevelFeatures()`
  Contains a list of features available on a specific chat boost level.
  `ChatBoostLevelFeatures(int level, int storyPerDayCount, int customEmojiReactionCount, int titleColorCount, int profileAccentColorCount, boolean canSetProfileBackgroundCustomEmoji, int accentColorCount, boolean canSetBackgroundCustomEmoji, boolean canSetEmojiStatus, int chatThemeBackgroundCount, boolean canSetCustomBackground, boolean canSetCustomEmojiStickerSet, boolean canEnableAutomaticTranslation, boolean canRecognizeSpeech, boolean canDisableSponsoredMessages)`
  Contains a list of features available on a specific chat boost level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### level

    public int level
    Target chat boost level.

  - ### storyPerDayCount

    public int storyPerDayCount
    Number of stories that the chat can publish daily.

  - ### customEmojiReactionCount

    public int customEmojiReactionCount
    Number of custom emoji reactions that can be added to the list of available reactions.

  - ### titleColorCount

    public int titleColorCount
    Number of custom colors for chat title.

  - ### profileAccentColorCount

    public int profileAccentColorCount
    Number of custom colors for profile photo background.

  - ### canSetProfileBackgroundCustomEmoji

    public boolean canSetProfileBackgroundCustomEmoji
    True, if custom emoji for profile background can be set.

  - ### accentColorCount

    public int accentColorCount
    Number of custom colors for background of empty chat photo, replies to messages and link previews.

  - ### canSetBackgroundCustomEmoji

    public boolean canSetBackgroundCustomEmoji
    True, if custom emoji for reply header and link preview background can be set.

  - ### canSetEmojiStatus

    public boolean canSetEmojiStatus
    True, if emoji status can be set.

  - ### chatThemeBackgroundCount

    public int chatThemeBackgroundCount
    Number of chat theme backgrounds that can be set as chat background.

  - ### canSetCustomBackground

    public boolean canSetCustomBackground
    True, if custom background can be set in the chat for all users.

  - ### canSetCustomEmojiStickerSet

    public boolean canSetCustomEmojiStickerSet
    True, if custom emoji sticker set can be set for the chat.

  - ### canEnableAutomaticTranslation

    public boolean canEnableAutomaticTranslation
    True, if automatic translation of messages can be enabled in the chat.

  - ### canRecognizeSpeech

    public boolean canRecognizeSpeech
    True, if speech recognition can be used for video note and voice note messages by all users.

  - ### canDisableSponsoredMessages

    public boolean canDisableSponsoredMessages
    True, if sponsored messages can be disabled in the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatBoostLevelFeatures

    public ChatBoostLevelFeatures()
    Contains a list of features available on a specific chat boost level.

  - ### ChatBoostLevelFeatures

    public ChatBoostLevelFeatures(int level, int storyPerDayCount, int customEmojiReactionCount, int titleColorCount, int profileAccentColorCount, boolean canSetProfileBackgroundCustomEmoji, int accentColorCount, boolean canSetBackgroundCustomEmoji, boolean canSetEmojiStatus, int chatThemeBackgroundCount, boolean canSetCustomBackground, boolean canSetCustomEmojiStickerSet, boolean canEnableAutomaticTranslation, boolean canRecognizeSpeech, boolean canDisableSponsoredMessages)
    Contains a list of features available on a specific chat boost level.
    Parameters:
      `level` - Target chat boost level.
      `storyPerDayCount` - Number of stories that the chat can publish daily.
      `customEmojiReactionCount` - Number of custom emoji reactions that can be added to the list of available reactions.
      `titleColorCount` - Number of custom colors for chat title.
      `profileAccentColorCount` - Number of custom colors for profile photo background.
      `canSetProfileBackgroundCustomEmoji` - True, if custom emoji for profile background can be set.
      `accentColorCount` - Number of custom colors for background of empty chat photo, replies to messages and link previews.
      `canSetBackgroundCustomEmoji` - True, if custom emoji for reply header and link preview background can be set.
      `canSetEmojiStatus` - True, if emoji status can be set.
      `chatThemeBackgroundCount` - Number of chat theme backgrounds that can be set as chat background.
      `canSetCustomBackground` - True, if custom background can be set in the chat for all users.
      `canSetCustomEmojiStickerSet` - True, if custom emoji sticker set can be set for the chat.
      `canEnableAutomaticTranslation` - True, if automatic translation of messages can be enabled in the chat.
      `canRecognizeSpeech` - True, if speech recognition can be used for video note and voice note messages by all users.
      `canDisableSponsoredMessages` - True, if sponsored messages can be disabled in the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR